import request from '@/utils/request'

// 查询特种设备吊装设备台账历史列表
export function listDzsb(query) {
  return request({
    url: '/his/dzsb/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备吊装设备台账历史详细
export function getDzsb(id) {
  return request({
    url: '/his/dzsb/' + id,
    method: 'get'
  })
}

// 新增特种设备吊装设备台账历史
export function addDzsb(data) {
  return request({
    url: '/his/dzsb',
    method: 'post',
    data: data
  })
}

// 修改特种设备吊装设备台账历史
export function updateDzsb(data) {
  return request({
    url: '/his/dzsb',
    method: 'put',
    data: data
  })
}

// 删除特种设备吊装设备台账历史
export function delDzsb(id) {
  return request({
    url: '/his/dzsb/' + id,
    method: 'delete'
  })
}

// 导出特种设备吊装设备台账历史
export function exportDzsb(query) {
  return request({
    url: '/his/dzsb/export',
    method: 'get',
    params: query
  })
}